Imports System.ComponentModel
Imports System.Configuration.Install

''' <summary>
''' This class can be used in conjunction with MSI installer programs such as InstallAware
''' or standard MSI installer to deploy a data structure using the database migrator.
''' This sample will use the AfterInstall event to load the data structures.
''' </summary>
''' <remarks></remarks>
Public Class MSIInstallerClass

#Region " Constructors "

    ''' <summary>
    ''' Basic Constructor
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub New()
        MyBase.New()

        'This call is required by the Component Designer.
        InitializeComponent()

        'Add initialization code after the call to InitializeComponent

    End Sub

#End Region

#Region " Handled Events "

    ''' <summary>
    ''' Launch the data install when the AfterInstall occurs.
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub MSIInstallerClass_AfterInstall(ByVal sender As Object, ByVal e As System.Configuration.Install.InstallEventArgs) Handles Me.AfterInstall
        '-- Establish Locals
        Dim loData As New DataProgress()

        '-- Show and install
        loData.ShowDialog()
        loData.Close()
        loData.Dispose()

    End Sub

#End Region

    
End Class
